<div class="character-general-block">

    {{#if isPC}}
    <div class="general-header ars_clps{{#if (getViewState @root.actor.id " combatDetails")}} ars_clps_on{{/if}}" data-vs-control="combatDetails">
        {{ localize 'ARS.combat' }}</div>
    {{!-- PC stuff --}}
    <div class="ars_clps_container">
        <div class="general-subheader flexrow">
            {{!-- <label class="general-xp">EXP</label> --}}
            <label class="general-label">{{ localize 'ARS.armorclass' }}</label>
            <label class="general-label">{{ localize 'ARS.hpbase' }}</label>
            <label class="general-label">{{ localize 'ARS.hpcurrent' }}</label>
            <label class="general-label">{{ localize 'ARS.hpmin' }}</label>
            <label class="general-label">{{ localize 'ARS.hpmax' }}</label>
            <label class="general-label">{{ localize 'ARS.thaco' }}</label>
            <label class="general-label">{{ localize 'ARS.move' }}</label>
        </div>
        <div class="general-config flexrow">
            {{!-- <div>
                <input type="number" name="system.details.xp" value={{system.details.xp}} {{#unless isGM}}readonly{{/unless}} />
            </div> --}}
            <div>
                <input class="resource" type="number" name="system.attributes.ac.value" value="{{system.attributes.ac.value}}" data-dtype="Number"
                    {{#unless isGM}}readonly{{/unless}} />
            </div>
            <div>
                <input class="resource" type="number" name="system.attributes.hp.base" value="{{system.attributes.hp.base}}" data-dtype="Number"
                    {{#unless isGM}}readonly{{/unless}} />
            </div>
            <div>
                <input class="resource" type="number" name="system.attributes.hp.value" value="{{system.attributes.hp.value}}" data-dtype="Number" />
            </div>
            <div>
                <input class="resource" type="number" name="system.attributes.hp.min" value="{{system.attributes.hp.min}}" data-dtype="Number" {{!--
                    {{#unless isGM}}readonly{{else}}{{#if actor.classes}}readonly{{/if}}{{/unless}} --}} {{#unless isGM}}readonly{{/unless}} />
            </div>
            <div>
                <input class="resource" type="number" name="system.attributes.hp.max" value="{{system.attributes.hp.max}}" data-dtype="Number"
                    {{#unless isGM}}readonly{{else}}{{#if actor.classes}}readonly{{/if}}{{/unless}} />
            </div>
            <div>
                <input class="resource" type="number" name="system.attributes.thaco.value" value="{{system.attributes.thaco.value}}"
                    data-dtype="Number" />
            </div>
            <div>
                <input class="resource" type="number" name="system.attributes.movement.value" value="{{system.attributes.movement.value}}"
                    data-dtype="Number" />
            </div>
        </div>
    </div>


    <div class="general-header ars_clps{{#if (getViewState @root.actor.id " exp")}} ars_clps_on{{/if}}" data-vs-control="exp">{{ localize
        'ARS.exp' }}
    </div>
    <div class="ars_clps_container">
        <div class="general-subheader flexrow">
            <label class="general-xp">Total Earned</label>
            <label class="general-xpearned">Un-Applied</label>
        </div>
        <div class="general-config flexrow">
            <div>
                <input type="number" name="system.details.xp" value="{{system.details.xp}}" {{#unless isGM}}readonly{{/unless}} />
            </div>
            <div class="flexrow" style="background-color: transparent;">
                <input type="number" name="system.details.applyxp" value="{{system.details.applyxp}}" {{#unless isGM}}readonly{{/unless}} />
                {{#if system.details.applyxp}}
                <button type="button" style="line-height:normal;" class="apply-experience" data-tooltip="Apply awarded experience"><i
                        class="fas fa-trophy"></i><label class="">{{localize 'ARS.apply'}}</label></button>
                {{/if}}
            </div>
        </div>
    </div>

    <div class="general-header ars_clps{{#if (getViewState @root.actor.id " proficiencyDetails")}} ars_clps_on{{/if}}"
        data-vs-control="proficiencyDetails">{{ localize 'ARS.actorsheet.general.proficiency' }}</div>
    <div class="ars_clps_container">
        <div class="general-subheader flexrow">
            <label class="general-label">{{localize 'ARS.actorsheet.general.penalty'}}</label>
            <label class="general-profs">{{localize 'ARS.actorsheet.general.weapon'}}</label>
            <label class="general-label">{{localize 'ARS.actorsheet.general.nonweapon'}}</label>
            <label class="general-label">{{localize 'ARS.actorsheet.general.classpoints'}} </label>
        </div>
        <div class="general-config flexrow prof-details">
            <div>
                <label>{{actor.proficiency.weapon.penalty}}</label>
            </div>
            <div class="flexrow">
                <div>{{localize 'ARS.actorsheet.general.obtained'}}</div>
                <div>{{actor.proficiency.weapon.value}}
                </div>
            </div>
            <div class="flexrow">
                <div>{{localize 'ARS.actorsheet.general.obtained'}}</div>
                <div>{{actor.proficiency.skill.value}}
                </div>
            </div>
            <div class="flexrow">
                <div>{{localize 'ARS.actorsheet.general.obtained'}}</div>
                <div>
                    {{actor.proficiency.classpoints.value}}
                </div>
            </div>
        </div>
        <div class="general-config flexrow prof-details">
            <div>
            </div>
            <div class="flexrow">
                <div>{{localize 'ARS.actorsheet.general.used'}}</div>
                <div>{{actor.proficiency.weapon.used}}
                </div>
            </div>
            <div class="flexrow">
                <div>{{localize 'ARS.actorsheet.general.used'}}</div>
                <div>{{actor.proficiency.skill.used}}</div>
            </div>
            <div class="flexrow">
                <div data-tooltip="Points placed into 'Class' skill modifier field on skills">
                    {{localize 'ARS.actorsheet.general.used'}}
                </div>
                <div data-tooltip="{{actor.proficiency.classpoints.used}}">
                    {{actor.proficiency.classpoints.used}}
                </div>
            </div>
        </div>
    </div>
    {{else}}
    <div class="general-header ars_clps">{{ localize 'ARS.sheet.actor.npc' }}</div>
    <div class="ars_clps_container">
        <div class="general-subheader general-config flexrow">
            <div><label class="general-label">{{localize 'ARS.hpmax'}}</label></div>
            <div><label class="general-label">{{localize 'ARS.resistTypes.magicpotency'}}</label></div>
        </div>
        <div class="general-config flexrow">
            <div>
                <input class="resource" type="number" name="system.attributes.hp.max" value="{{system.attributes.hp.max}}" data-dtype="Number" {{#if
                    @root.actor.classes}}readonly{{/if}} />
            </div>
            <div>
                <input class="resource" type="number" name="system.resistances.weapon.magicpotency" value="{{system.resistances.weapon.magicpotency}}"
                    data-dtype="Number" />
            </div>
        </div>
        <div class="title weapon-metal-label">Weapon Substance Vulnerability<a class="weapon-metal-controls create-entry"
                data-tooltip="{{localize 'ARS.add' }}" data-action="create"><i class="fas fa-plus"></i></a></div>
        {{#each system.resistances.weapon.metals as |metal index|}}
        <li style="list-style-type: none;" class="weapon-metal-protection" data-index={{index}}>
            <div class="flexrow">
                <input type="text" name="system.resistances.weapon.metals.{{index}}.type" value="{{metal.type}}" />
                <div class="npc-resistance-metal">
                    <select name="system.resistances.weapon.metals.{{index}}.protection">
                        {{selectOptions @root.config.metalprotections selected=metal.protection
                        localize=true}}
                    </select>

                </div>
                <div class="npc-resistance-metal short-field">
                    <a class="weapon-metal-controls remove-rank" data-tooltip="{{localize 'ARS.remove' }}" data-action="remove"><i
                            class="fas fa-minus"></i></a>
                </div>
            </div>
        </li>
        {{/each}}
    </div>

    {{/if}}

    {{!-- spell slots --}}
    <div class="general-header ars_clps{{#if (getViewState @root.actor.id " slotsperlevel")}} ars_clps_on{{/if}}" data-vs-control="slotsperlevel">
        {{ localize 'ARS.slotsperlevel' }}</div>

    <div class="ars_clps_container">
        <div class="general-subheader center flexrow">
            <div style="flex-grow: 2;" class="class-spelltype" data-tooltip="Spell class type">Type</div>
            <div class="class-casterlevel" data-tooltip="Caster Level">Level</div>
            <div class="class-null"></div>
            {{#each system.spellInfo.slots.arcane.value as |lvl index| }}
            <div class="class-spell-levelX">{{index}}</div>
            {{/each}}
        </div>
        <div class="class-rank-header">
            <div class="flexrow">
                <div style="flex-grow: 2;" class="class-spelltype flex-text-center" data-tooltip="Spell class type">
                    {{localize 'ARS.spellTypes.arcane'}}
                </div>
                <div class="class-spell-level-arcane">
                    <input name="system.spellInfo.level.arcane.value" type="text" value="{{system.spellInfo.level.arcane.value}}"
                        data-dtype="Number" />
                </div>
                <div>

                </div>
                {{#each system.spellInfo.slots.arcane.value as |lvl index| }}
                <div class="class-spell-levelX">
                    <input class="spell_slots" name="system.spellInfo.slots.arcane.value.{{index}}" type="text" value="{{lvl}}" data-dtype="Number" />
                </div>
                {{/each}}
            </div>
            <div class="flexrow">
                <div style="flex-grow: 2;" class="class-spelltype flex-text-center" data-tooltip="Spell class type">
                    {{localize 'ARS.spellTypes.divine'}}
                </div>
                <div class="class-spell-divinelevel">
                    <input name="system.spellInfo.level.divine.value" type="text" value="{{system.spellInfo.level.divine.value}}"
                        data-dtype="Number" />
                </div>
                <div></div>
                {{#each system.spellInfo.slots.divine.value as |lvl index| }}
                <div class="class-spell-levelX">
                    <input class="spell_slots" name="system.spellInfo.slots.divine.value.{{index}}" type="text" value="{{lvl}}" data-dtype="Number" />
                </div>
                {{/each}}
                <div class="class-spell-levelX-empty"></div>
                <div class="class-spell-levelX-empty"></div>
            </div>
        </div>
    </div>

    {{!-- psionics --}}
    <div class="general-header psi-ui ars_clps{{#if (getViewState @root.actor.id " psionics")}} ars_clps_on{{/if}}" data-vs-control="psionics">{{
        localize 'ARS.psionics.psidetails' }}</div>

    <div class="ars_clps_container psi-ui">
        <div class="general-subheader flexrow">
            <label class="general-psi hide-1e">PSP Base</label>
            <label class="general-psi hide-2e">PSP Attack Base</label>
            <label class="general-psi hide-2e">PSP Defense Base</label>
            <label class="general-psi">Disciplines</label>
            <label class="general-psi">Sciences</label>
            <label class="general-psi">Devotions</label>
            <label class="general-psi">Defenses</label>
        </div>
        <div class="general-config flexrow">
            <div class="hide-1e">
                <input class="psp-points-base psi-inputs" name="system.psionics.psp.base" data-prop-display="PSP Base" type="number" value="{{actor.system.psionics.psp.base}}"
                    min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
            <div class="hide-2e">
                <input class="psp-points-base psi-inputs" name="system.psionics.pspattack.base" data-prop-display="PSP Attack Base" type="number"
                    value="{{actor.system.psionics.pspattack.base}}" min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
            <div class="hide-2e">
                <input class="psp-points-base psi-inputs" name="system.psionics.pspdefense.base" data-prop-display="PSP Defense Base" type="number"
                    value="{{actor.system.psionics.pspdefense.base}}" min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
            <div>
                <input class="psp-points-value psi-inputs" name="system.psionics.disciplines" data-prop-display="Psionic Disciplines" type="number"
                    value="{{actor.system.psionics.disciplines}}" min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
            <div>
                <input class="psp-points-value psi-inputs" name="system.psionics.sciences" data-prop-display="Psionic Sciences" type="number" value="{{actor.system.psionics.sciences}}"
                    min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
            <div>
                <input class="psp-points-value psi-inputs" name="system.psionics.devotions" data-prop-display="Psionic Devotions" type="number" value="{{actor.system.psionics.devotions}}"
                    min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
            <div>
                <input class="psp-points-value psi-inputs" name="system.psionics.defenseModes" data-prop-display="Psionic Defense Modes" type="number"
                    value="{{actor.system.psionics.defenseModes}}" min="0" oninput="this.value = this.value.replace(/[^0-9]/g, '');" />
            </div>
        </div>
    </div>

    {{!-- properties --}}
    <div class="general-header ars_clps{{#if (getViewState @root.actor.id (concat 'properties-' tab) )}} ars_clps_on{{/if}}"
        data-vs-control="properties-" {{tab}}>{{ localize 'ARS.properties' }}
        <a class="general-properties-controls create-entry" data-tooltip="{{localize 'ARS.add' }}" data-action="create">
            <i class="fas fa-plus"></i>
        </a>
    </div>

    <div class="general-properties-row">
        {{#if system.properties }}
        <div class="general-properties-column">
            {{#each system.properties as |property index|}}
            <li class="flexrow" data-index={{index}}>
                <input type="text" name="system.properties.{{index}}" value="{{property}}" placeholder="{{localize 'ARS.placeholder'}}" />
                <div class="short-field">
                    <a class="general-properties-controls remove-property" data-tooltip="{{localize 'ARS.remove' }}" data-action="remove"><i
                            class="fas fa-times"></i></a>
                </div>
            </li>
            {{/each}}
        </div>
        {{else}}
        <div style="text-align:center;">{{localize 'ARS.none'}}</div>
        {{/if}}
    </div>

</div>